import { css } from "@linaria/core";
import { Button } from "ant-design-vue";
import { defineComponent } from "vue";
import { bool, func, string } from "vue-types";

export default defineComponent({
  props: {
    onSave: func(),
    okText: string().def("保存"),
    showFooter: bool().def(true),
  },
  setup(props, { slots }) {
    return () => {
      return (
        <div class={PanelStyles}>
          <div class="content">{slots.default?.()}</div>
          {props.showFooter && (
            <div class="footer">
              <Button
                size="large"
                type="primary"
                // loading={match.state.updating}
                class="submit"
                onClick={() => props.onSave?.()}
              >
                {props.okText}
              </Button>
            </div>
          )}
        </div>
      );
    };
  },
});

const PanelStyles = css`
  display: flex;
  flex-direction: column;
  height: 100%;
  .content {
    flex: 1;
    padding: 10px;
    overflow-y: auto;
  }
  .footer {
    display: flex;
    align-items: center;
    justify-content: center;
    border-top: 1px solid #eaeaea;
    padding: 18px 10px;
    .cancel {
      margin-right: 5px;
      color: #999999;
    }
    .submit {
      flex: 1;
    }
  }
`;
