import { initExpViewer } from "@/modules/expViewer";
import { css } from "@linaria/core";
import { DefaultUI } from "queenjs";
import { defineComponent } from "vue";
import Header from "./components/Header";
import RightPanel from "./components/RightPanel";
import SourcePanel from "./components/SourcePanel";

export default defineComponent({
  setup() {
    const expViewer = initExpViewer();
    const { queditor } = expViewer.modules;

    queditor.initComponents({
      Viewport: {
        Header: () => <Header />,
        SiderLeft: () => <SourcePanel class="w-340px h-1/1" />,
        SiderRight: () => <RightPanel />,
        Toolbar: {
          default: () => null,
        },
      },
    });

    return () => (
      <div class="h-100vh">
        <queditor.components.Viewport />
      </div>

      // <div class={modalStyles}>
      //   <Header />
      //   <SourcePanel />
      //   <Canvas3d />
      //   <RightPanel />
      // </div>
    );
  },
});

const modalStyles = css`
  height: 100vh;
  display: grid;
  grid-template-areas:
    "header header header"
    "leftPanel content rightPanel";
  grid-template-columns: 400px auto 300px;
  grid-template-rows: 64px auto;
  background-color: #fff;
`;
